package intrinsic.mx.states;

public class AddChild extends Object implements intrinsic.mx.states.IOverride {

	/** Accessors */
	public intrinsic.flash.display.DisplayObject target;
	public String creationPolicy;
	public intrinsic.mx.core.IDeferredInstance targetFactory;

	/** Variables */
	public boolean instanceCreated;
	public boolean added;
	public String position;
	public intrinsic.mx.core.UIComponent relativeTo;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AddChild() {
}

public AddChild(Object arg0) {
}

public AddChild(Object arg0, Object arg1) {
}

public AddChild(Object arg0, Object arg1, Object arg2) {
}


/** Static Methods */

/** Methods */
public native void initialize();
public native void remove(intrinsic.mx.core.UIComponent arg0);
public native void createInstance();
public native void apply(intrinsic.mx.core.UIComponent arg0);

}
